"""

app.university)config
~~~~~~~~~~~~~

Contains the University-related configuration constants for app.

"""

"""
We support Universities that use the BANNERWEB software.
When we try to Authenticate, however, some opt for their own SSO.
If they do not use their own SSO, the url would end with:
'twbkwbis.P_WWWLogin'

These universities were either found by contacts or by the following:
Google: 'inurl:p_disp_detail_sched'
DuckDuckGo: 'inurl:p_disp_detail_sched'

Another good dork: 'inurl:twbkwbis.P_WWWLogin'
"""

NORTHEASTERN_LOGIN = "http://nb5833.neu.edu:9430/udcprod8/twbkwbis.P_WWWLogin"
"""
POST
username
password
lt: UNSURE -> Changes every request
execution: Always 'e3s1'
_eventId: Always 'submit'
"""

WPI_LOGIN = "https://bannerweb.wpi.edu/pls/prod/twbkwbis.P_WWWLogin"

BROWN_LOGIN = "https://sso.brown.edu/idp/Authn/MCB"
BROWN_BW = "https://selfservice.brown.edu/ss/"