"""
index.py

Created by Stephen Andrews, November 29th, 2018.
"""

from flask import Blueprint, jsonify, render_template, request

from app.extensions import db
from app.models import User, OwnedList

index = Blueprint('index', __name__)

@index.route('/', methods=['GET'])
def home():
    return render_template('home/index.html')

@index.route('privacy-policy')
def privacy_policy():
  return render_template('privacy_policy.html')

@index.route('tos')
def tos():
  return render_template('terms_and_conditions.html')