import React, {
    Component
  } from 'react';
  import {
    View,
    Text,
    StyleSheet,
    Image,
    TouchableOpacity,
  } from 'react-native';
  
  import HorizontalRule from '../../components/HorizontalRule';
  
  export default class AddItemButton extends Component {
  

    addBook = () => {
      this.props.navigation.navigate('AddBookToShelf');
    }
    

    render() {
      return (
        <View style={styles.container}>
          <TouchableOpacity
              onPress={this.addBook}
              style={[styles.buttonContainer, {marginBottom:15, marginTop: 15}]}>
              <Text style={styles.buttonText}>{"Add a book to your collection"}</Text>
          </TouchableOpacity>
        </View>
      );
    }
  }
  
  const styles = StyleSheet.create({
    container: {
      backgroundColor: '#FDFDFE',
      paddingLeft: 0,
      paddingRight: 0,
    },
    buttonContainer: {
      backgroundColor: '#4392EF',
      borderRadius: 4,
      height: 50,
      paddingVertical: 12
    },
    buttonText: {
      color: '#FFF',
      fontSize: 18,
      fontWeight: '500',
      textAlign: 'center'
    },
  });
  