/**
 * Defines the Library screen
 * @author Stephen Andrews, John Bieber, Ted Bieber
 */

import React, {
    Component
  } from 'react';
  
  import {
    KeyboardAvoidingView,
    View,
    Text,
    StyleSheet,
  } from 'react-native';
  
  import DisplayCase from './DisplayCase';
  import Header from '../../components/Header';
  import AddItemButton from './AddItemButton';

  export default class BookShelf extends Component {
    render() {
      return (
        <KeyboardAvoidingView behavior="padding" style={styles.container}>
          
          <AddItemButton {...this.props} />
          <DisplayCase {...this.props}/>
        </KeyboardAvoidingView>
      );
    }
  }
  
  const styles = StyleSheet.create({
    container: {
      flex: 1,
      backgroundColor: '#FDFDFE'
    },
  });
  