# Style Guide

----
## Imports
Imports should be grouped by standard library imports, third-party imports, and local imports.
Each group's imports should be sorted alphabetically.

For example:
```
import a_standard
import b_standard

import a_third_party
import b_third_party

from a_soc import a
from b_soc import b
```