"""
password_reset.py

Created by Stephen Andrews, September 27th, 2018.
"""
from app.extensions import AuditMixin, db


class PasswordReset(db.Model, AuditMixin):
    """Used for resetting user's passwords."""
    __tablename__ = 'password_reset'

    id = db.Column(db.Integer, primary_key=True)
    email = db.Column(db.Text, db.ForeignKey('user.email'), nullable=False)
    key = db.Column(db.Text, nullable=False)
