from app.extensions import AuditMixin, db

class VerificationList(db.Model, AuditMixin):
    """The model for a book."""
    __tablename__ = 'verification'

    session_id = db.Column(db.Text, db.ForeignKey('user.session_id'), primary_key=True)
    valid = db.Column(db.Boolean, server_default='t', default=True, nullable=False)

    def serialize(self):
        j = {}
        j['session_id'] = self.session_id
        j['valid'] = self.valid

        return j
