import os

from app import create_app

app = create_app()

if __name__ == "__main__":
    try:
        port = int(os.environ.get('PORT', 5000))
        app.run(host='0.0.0.0', port=port, debug=False)
        # use_reloader=False: If we want to prevent duplicate entries in Term
    finally:
        print("\n")
        print("{} stopped.".format(app.name.title()))
