import React, { Component } from 'react';

import {
  Platform,
  View,
  StyleSheet,
  Text,
} from 'react-native';

export default class Header extends Component {
  render() {
    return (
      <View style={styles.container}>
        <Text style={styles.heading}>{this.props.title}</Text>
      </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    height: 130,
    justifyContent: 'flex-end',
    backgroundColor: '#FFF',
  },
  heading: {
    color: '#000',
    fontSize: 42,
    fontFamily: Platform.OS === 'ios' ? 'Helvetica' : 'Roboto',
    fontWeight: '500',
    marginBottom: 15,
    marginLeft: 15
  }
});
