import React, { Component } from 'react';

import {
  Platform,
  View,
  Image,
  Text,
} from 'react-native';


export default class ImageOverlay extends Component {
  constructor() {
    super();
  }

  render() {
    return (
      <View>
        <View>
          <Image style={this.props.style} source={this.props.source}></Image>
        </View>
        <View style={styles.overlay}>
          <Text style={styles.overlayText}>{this.props.overlay}</Text>
        </View>
      </View>
    );
  }
}

const styles = {
  overlay: {
    width: '100%',
    height: '100%',
    position: 'absolute',
    justifyContent: 'center',
    alignItems: 'center',
  },
  overlayText: {
    fontSize: 35,
    color: 'white',
    textAlign: 'center',
    fontFamily: Platform.OS === 'ios' ? 'Helvetica' : 'Roboto',
    textShadowRadius: 5,
    textShadowColor: '#000'
  }
}