/* @flow */

import React, { Component } from 'react';
import {
  View,
  Text,
  StyleSheet,
} from 'react-native';

export default class Notification extends Component {
  render() {
    return (
      <View style={styles.container}>
        <View style={styles.notification}>
          <Text style={styles.heading}>
            Unread Messages
          </Text>

          <Text style={styles.subHeading}>
            from 5 different people
          </Text>
        </View>
      </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    height: 75,
    margin: 20
  },
  notification: {
    backgroundColor: '#EAEFFC',
    borderRadius: 10,
    flex: 1,
    padding: 15
  },
  heading: {
    color: '#4465CD',
    fontFamily: 'Helvetica',
    fontWeight: '500',
    fontSize: 16,
    marginBottom: 5,
  },
  subHeading: {
    color: '#8a9fe2',
    fontFamily: 'Helvetica',
    fontWeight: '500',
    fontSize: 14,
  }
});
