// Theodore Bieber
// Created: 9/26/2018
// Updated: 9/27/2018

import React, {
  Component
} from 'react';
import {
  View,
  Text,
  StyleSheet,
  Platform,
} from 'react-native';

import {NavigationActions, StackActions} from 'react-navigation';

import StorageManager from '../StorageManager';
import API from '../API';

import {Notifications} from 'expo';

export default class LoadingScreen extends Component {

// componentWillMount() {
  // StorageManager.getItem('user_id', (result) => {
  //   API.registerForPushNotifications(result);
  // }, ()=> {
  //   console.log('User does not currently have a user_id in storage.');
  // });
  // 
// }

componentDidMount() {
  // this._notificationSubscription = Notifications.addListener(this._handleNotification);
  this.checkQuickLogin();
}

// _handleNotification = (notification) => {
//   let cb = (response) => {
//     this.props.navigation.navigate('Conversation', {
//       'user_id1': response, 
//       'user_id2': notification.data.data
//     });
//   }
  
//   // Only do action if it was pressed by user
//   // these differ on ios and android
//   if (Platform.OS ==='ios') {
//     if (notification.origin === 'received' || notification.origin === 'selected') {
//       StorageManager.getItem('user_id', cb);
//     }
//   } else if (Platform.OS === 'android') {
//     if (notification.origin === 'selected') {
//       StorageManager.getItem('user_id', cb);
//     }
//   }
// }

checkQuickLogin = () => {
  StorageManager.getItem("remember_me", (flag) => {
    if (flag === "true") {
      this.quickLogin();
    } else {
      this._navigateTo('Login');
    }
  },
  () => { this._navigateTo('Login') });
}

/**
 * Performs a login using stored user id and session id.
 */
quickLogin = () => {
    StorageManager.getItems(["user_id", "session_id"], () => {
      // TODO: API call to check if session id is active

      this._navigateTo('Dashboard');
    });
  }

  render() {
      return (
        <View style={styles.container}>
          <Text>LOADING</Text>
        </View>
      );
    }

    // routename is a string please
  _navigateTo = (routeName) => {
    const actionToDispatch = StackActions.reset({
      index: 0,
      actions: [NavigationActions.navigate({ routeName: routeName })]
    });
    this.props.navigation.dispatch(actionToDispatch);
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#FDFDFE',
    justifyContent:'center',
    alignItems:'center',
  },
});
