/**
 * Defines the messaging screen.
 * @author Ted Bieber
 */

import React, {
    Component
  } from 'react';
  
  import {
    KeyboardAvoidingView,
    StatusBar,
    StyleSheet,
  } from 'react-native';
  
  import MessagingListView from './MessagingListView';
  import Header from '../../components/Header';
  
  export default class Messaging extends Component {
    render() {
      return (
        <KeyboardAvoidingView behavior="padding" style={styles.container}>
          <StatusBar barStyle="dark-content" /> 
          <Header title="Messages" />
  
  
          {/* { this.props.navigation.state.params.screen } */}
          <MessagingListView {...this.props}/>
        </KeyboardAvoidingView>
      );
    }

  }
  
  const styles = StyleSheet.create({
    container: {
      flex: 1,
      backgroundColor: '#FDFDFE'
    },
  
  });
  