import React, {
    Component
} from 'react';

import {
  View,
  StyleSheet,
  FlatList  
} from 'react-native';
  
import TransactionItem from './TransactionItem';
  
/**
 * Renders all of the transactions related to a user's profile.
 * @author Ted Bieber, Stephen Andrews
 */
export default class TransactionListView extends Component {
  constructor() {
    super();
      
    this.state = {
    };
  }

  componentDidMount() { //TODO: 

  //   API.DOSOMETHING(cb);
    return;
  }

  // do something? But don't call setState unless it's necessary
  componentWillUpdate = () => { //TODO: 
    
  }

  loadTransactions = () => { //TODO: 
  //   API.DOSOMETHING(cb);
    
  }

  loadNextPage = () => { //TODO: 
  //   API.DOSOMETHING(cb, this.state.pagesLoaded+1);
  }

  refreshPage = () => { //TODO: 
    
  //   API.DOSOMETHING(cb);
  }

  // gets the items key
  getKey = (item) => {
      let listingId = item.listing.listing_id;
      let buyerId = item.buyer.user_id;
      let status = item.status;
      return "l: " + listingId + ", b: " + buyerId + ", s: " + status;
  }

  render() {  
    return (
      <View style={styles.container}>
        <FlatList
          data={this.props.items}
          keyExtractor={(item) => this.getKey(item)}
          renderItem={({item}) => <TransactionItem item={item} {...this.props} />}
          onEndReachedThreshold={0.25}
          onEndReached={this.loadNextPage}
          onRefresh={this.props.onRefresh}
          refreshing={this.props.refreshing}
        />
      </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1
  },
});
  